Subject: Re: tty tree change for linux-next

From: Greg KH <[email-masked]>
Date: Sat, 1 Aug 2009 10:18:15 -0700

On Sat, Aug 01, 2009 at 05:22:45PM +1000, Stephen Rothwell wrote:
> Hi Greg,
> 
> On Sat, 1 Aug 2009 16:41:04 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > On Fri, 31 Jul 2009 21:39:05 -0700 Greg KH <[email-masked]> wrote:
> > >
> > > If there are any problems with the trees, please let me know.
> > 
> > Will do.
> 
> Just a small (but important) thing.  All the tty series patches look like this:
> 
> <summary>
> 
> From: <author>
> 
> <message>
> .
> .
> 
> 
> When I import these, they will all look like they are authored by you and
> use the file name as the one line summary :-( .  "Git quilt-import"
> expects more mail-like patches like:
> 
> From: <author>
> Subject: <summary>
> 
> ..
> 
> So if there is some easy transform you could do on these, it would be
> good.  (There is only one patch that has "Subject:" at the start of the
> <summary>.)  (Subject: followed by From: is ok as well, so 'prepend
> "Subject: " to first line and remove following blank line' would probably
> get you very close.)

Ok, that's not good at all, I just took the patches straight from Alan.
I'll edit them up this weekend to work better (i.e. in the format that
all of my other patches are in, pseudo-mbox headers, which both quilt
and git seem to like.)

Thanks for letting me know,

greg k-h